WordPress 2.2.1

A relatively uneventful update from WP 2.2 to 2.2.1. There are some security upgrades which make this update “required.” I was having problems getting a text widget to validate with 2.2 because it didn’t save the escaped character for an ampersand. Everytime I modified my widgets, I had to retype the escaped ampersand. According to the Trac, this was fixed.

Only other issue I had was fixing the styling on a text widget. The database schema didn’t change so using the upgrade command URL didn’t do anything. If you’re going from 2.2 to 2.2.1, don’t freak out.

As always, I deleted the entire 2.2 package (except for wp-content, the config file and the .htaccess file) before uploading the upgrade. The only time I ever had a significant (non-plugin related) problem was when I overwrote so I don’t even try that anymore.

For the truly brave, here’s the List of Changed Files from 2.2 to 2.2.1.

WordPress › Support » WordPress 2.2.1

Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s